Package skyview.geometry.csys

# Class ICRS

java.lang.Object
skyview.geometry.CoordinateSystem
skyview.geometry.csys.ICRS

All Implemented Interfaces:
  `Serializable`, `Component`

public class ICRS extends CoordinateSystem implements Component
A class defining the ICRS coordinate system. This should probably be the reference coordinate system, but it differs only very slightly from the J2000 coordinates. We are assuming the the J2000 coordinate system is FK5 based. This may not be true for at the 50 mas level. According to Feissel and Mignard (1998) the rotation angles for the three axes are between the ICRS coordinates and FK5 (-19.9, -9.1, -22.9)

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.geometry.CoordinateSystem

`B1950, Gal, ICRS, J2000`

## Constructor Summary

Constructors
Constructor
Description
`ICRS()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of the object.
`String`
`getName()`
Get the name of this object.
`Rotater`
`getRotater()`
Return the rotation associated with the coordinate system.

### Methods inherited from class skyview.geometry.CoordinateSystem

`factory, factory, getSphereDistorter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ICRS

public ICRS()

## Method Details

### getName

public String getName()
Get the name of this object.

Specified by:
  `getName` in interface `Component`

### getDescription

public String getDescription()
Get a description of the object.

Specified by:
  `getDescription` in interface `Component`

### getRotater

public Rotater getRotater()
Return the rotation associated with the coordinate system.

Specified by:
  `getRotater` in class `CoordinateSystem`